<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:09 CEST 2021 -->
<title>P-Index</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="../back/Partie.html" title="class in back"><span class="typeNameLink">Partie</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Cette classe permet de gerer toutes les configurations d'une partie.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Partie.html#Partie-int-int-int-int-int-int-">Partie(int, int, int, int, int, int)</a></span> - Constructor for class back.<a href="../back/Partie.html" title="class in back">Partie</a></dt>
<dd>
<div class="block">Constructeur de la partie avec l'instanciation des variables d'instance et 
 la liste des joueurs.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/MonopolyIUT.html#partie">partie</a></span> - Static variable in class view.<a href="../view/MonopolyIUT.html" title="class in view">MonopolyIUT</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Partie.Etapes.html" title="enum in back"><span class="typeNameLink">Partie.Etapes</span></a> - Enum in <a href="../back/package-summary.html">back</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Partie.ReglesAdditionnelles.html" title="enum in back"><span class="typeNameLink">Partie.ReglesAdditionnelles</span></a> - Enum in <a href="../back/package-summary.html">back</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Partie.TypesPartie.html" title="enum in back"><span class="typeNameLink">Partie.TypesPartie</span></a> - Enum in <a href="../back/package-summary.html">back</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#pasAcheter-back.Joueur-back.Propriete-">pasAcheter(Joueur, Propriete)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ActionView.html#payer-back.Joueur-back.Propriete-">payer(Joueur, Propriete)</a></span> - Static method in class view.<a href="../view/ActionView.html" title="class in view">ActionView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/CentreCommercial.html#payerLoyer-back.Joueur-">payerLoyer(Joueur)</a></span> - Method in class back.<a href="../back/CentreCommercial.html" title="class in back">CentreCommercial</a></dt>
<dd>
<div class="block">Méthode de payement d'un centre commercialß.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Propriete.html#payerLoyer-back.Joueur-">payerLoyer(Joueur)</a></span> - Method in class back.<a href="../back/Propriete.html" title="class in back">Propriete</a></dt>
<dd>
<div class="block">Méthode abstraite pour toutes les propriétés.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Salle.html#payerLoyer-back.Joueur-">payerLoyer(Joueur)</a></span> - Method in class back.<a href="../back/Salle.html" title="class in back">Salle</a></dt>
<dd>
<div class="block">Renvoie le coût du loyer en fonction du nombre de matériels de la salle</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Service.html#payerLoyer-back.Joueur-">payerLoyer(Joueur)</a></span> - Method in class back.<a href="../back/Service.html" title="class in back">Service</a></dt>
<dd>
<div class="block">Méthode de payement d'un service.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Joueur.html#perdreArgent-int-int-">perdreArgent(int, int)</a></span> - Method in class back.<a href="../back/Joueur.html" title="class in back">Joueur</a></dt>
<dd>
<div class="block">Méthode gagnerArgent permet d'ajouter l'argent gagner en diminuant argent et capital et en augmentant les variables perdu et PerduLocation ou PerduChance de la class Statistiques</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/ActionVendreView.html#peutVendre-back.Joueur-">peutVendre(Joueur)</a></span> - Static method in class view.<a href="../view/ActionVendreView.html" title="class in view">ActionVendreView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../back/Chance.html#piocherCarte--">piocherCarte()</a></span> - Method in class back.<a href="../back/Chance.html" title="class in back">Chance</a></dt>
<dd>
<div class="block">Ajout d'un carte chance à la liste d'un joueur.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Joueur.html#piocherCarteChance--">piocherCarteChance()</a></span> - Method in class back.<a href="../back/Joueur.html" title="class in back">Joueur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../view/Pion.html" title="class in view"><span class="typeNameLink">Pion</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">Cette classe Pion permet de creer des pions.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/Pion.html#Pion-back.Joueur-java.lang.String-">Pion(Joueur, String)</a></span> - Constructor for class view.<a href="../view/Pion.html" title="class in view">Pion</a></dt>
<dd>
<div class="block">Le constructeur de la classe Pion permet de creer un nouveau pion.</div>
</dd>
<dt><span class="memberNameLink"><a href="../view/Utiles.html#placer-javafx.scene.Node-double-double-">placer(Node, double, double)</a></span> - Static method in class view.<a href="../view/Utiles.html" title="class in view">Utiles</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Plateau.html" title="class in back"><span class="typeNameLink">Plateau</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Plateau est la classe représentant un plateau du monopoly.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Plateau.html#Plateau-int-int-int-">Plateau(int, int, int)</a></span> - Constructor for class back.<a href="../back/Plateau.html" title="class in back">Plateau</a></dt>
<dd>
<div class="block">Constructeur d'un plateau
 Quand la valeur entrée n'est pas bonne le plateau est automatiquement initialisé à 20 cases.</div>
</dd>
<dt><a href="../view/PlateauView.html" title="class in view"><span class="typeNameLink">PlateauView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/PlateauView.html#PlateauView-back.Plateau-">PlateauView(Plateau)</a></span> - Constructor for class view.<a href="../view/PlateauView.html" title="class in view">PlateauView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/Utiles.html#pointeur-javafx.scene.Node-">pointeur(Node)</a></span> - Static method in class view.<a href="../view/Utiles.html" title="class in view">Utiles</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../back/Propriete.html" title="class in back"><span class="typeNameLink">Propriete</span></a> - Class in <a href="../back/package-summary.html">back</a></dt>
<dd>
<div class="block">Classe abstraite représentant les propriétés.</div>
</dd>
<dt><span class="memberNameLink"><a href="../back/Propriete.html#Propriete-java.lang.String-int-java.lang.String-int-">Propriete(String, int, String, int)</a></span> - Constructor for class back.<a href="../back/Propriete.html" title="class in back">Propriete</a></dt>
<dd>
<div class="block">Constructeur d'une propriété.</div>
</dd>
<dt><a href="../view/ProprieteView.html" title="class in view"><span class="typeNameLink">ProprieteView</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../view/ProprieteView.html#ProprieteView-back.Propriete-">ProprieteView(Propriete)</a></span> - Constructor for class view.<a href="../view/ProprieteView.html" title="class in view">ProprieteView</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
